
QGIS Application - Bug report #7837

the attached points shapefile crashes QGIS when used to created an interpolation raster

2013-05-15 08:36 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 16719

Description

It's not a regression as it also crashes 1.8, but would be nice to get fixed as it's a pretty basic GIS expectation for interpolation to work :)

Steps to reproduce:

1. Load the attached hub_utm.shp into a new QGIS project

2. Open the Interpolation Plugin window

3. Add either hub_utm's HubDistInt (int value) or HubDistRea (real value) attribute to interpolation list

4. Enter an output file name

5. Click on OK

QGIS will ungraciously crash at that very moment.

History

#1 - 2013-05-15 08:42 PM - Mathieu Pellerin - nIRV

Note: it crashes with TIN interpolation, but not with IDW interpolation.

#2 - 2013-05-16 03:33 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to C++ Plugins

likely a duplicate of #5239, can you please check and eventually close this as duplicate? thanks.

#3 - 2013-06-02 07:58 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

duplicate of #5239

Files

hub_utm.zip 396 KB 2013-05-15 Mathieu Pellerin - nIRV
